Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiLanguage

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiLanguage

    public class GuiLanguage

extends GuiScreen

Field Summary

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiLanguage(GuiScreen par1GuiScreen, GameSettings par2GameSettings)`

Method Summary
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
`void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiLanguage

    public GuiLanguage(GuiScreen par1GuiScreen,
                       GameSettings par2GameSettings)

Method Detail

### initGui

    public void initGui()

  Adds the buttons (and other controls) to the screen in question.

  Overrides:
    `initGui` in class `GuiScreen`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiScreen`

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

  Overrides:
    `updateScreen` in class `GuiScreen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD